<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.Extract"
	import="net.sf.basedb.core.BioPlate"
	import="net.sf.basedb.core.BioWell"
	import="net.sf.basedb.core.PermissionDeniedException"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.util.extensions.Extension"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="java.util.List"
	import="java.util.ArrayList"
%>
<%
final SessionControl sc = Base.getExistingSessionControl(request, true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
final int BLOCKS_PER_PAGE = 3;
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final Extension reggie = ExtensionsControl.get(dc).getExtension("net.sf.basedb.reggie");
	final User user = User.getById(dc, sc.getLoggedInUserId());
	List<Extract> lysates = new ArrayList<Extract>();
	for (String id : request.getParameterValues("lysates"))
	{
		lysates.add(Extract.getById(dc, Values.getInt(id)));
	}
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title>Lab Tracking Protocol for Allprep isolation</title>
	<link rel="stylesheet" type="text/css" href="<%=home %>/css/printable.css">
	<style>
	
	table.protocolheader
	{
		width: 100%;
	}

	table.protocolheader > tbody > tr
	{
		height: 2em;
	}

	table.protocolheader > tbody > tr > th
	{
		width: 50%;
		text-align: left;
		font-size: 1.25em;
	}
	
	table.samplelist
	{
		width: 100%;
		border-collapse: collapse;
		border: 1px solid #000000;
	}
	
	table.samplelist > tbody > tr
	{
		height: 1.75cm;
	}
	
	table.samplelist > tbody > tr > th
	{
		border: 1px solid #000000;
		font-size: 1.25em;
	}
	
	table.samplelist > tbody > tr > td
	{
		vertical-align: top;
		border: 1px solid #000000;
		vertical-align: middle;
		font-size: 1.25em;
		padding: 0.5em;
	}
	
	.name
	{
		font-weight: bold;
		width: 20%;
	}
	.box
	{
		width: 20%;
	}
	.qiacube
	{
		width: 15%;
		text-align: center;
	}
	.remark
	{
		width: 45%;
	}
	
	
	</style>
</head>
<body>
	<div class="noprint fullwidth" style="border-bottom: 1px dashed #A0A0A0; padding-left: 1em; padding-bottom: 1em;">
		<a href="javascript:window.print()"><img src="images/print.png" style="padding-right: 4px;">Print</a>
	</div>
	
	<h1>Lab Tracking Protocol for Allprep isolation v.1.2</h1>

	<table style="width: 100%; border: 0px;" class="protocolheader">
	<tr>
		<td colspan="2">Reggie <%=reggie.getAbout().getVersion() %>; Page 1 of 1</td>
	</tr>
	<tr>
		<th style="width: 50%;">Date for lysis:</th>
		<th style="width: 50%;">Operator:</th>
	</tr>
	<tr>
		<th style="width: 50%;">Date for isolation:</th>
		<th style="width: 50%;">Operator:</th>
	</tr>
	</table>

	<table style="width: 100%;" class="samplelist">
	<tr>
		<th class="name">Sample</th>
		<th class="box">Storage box</th>
		<th class="qiacube">Position in Qiacube</th>
		<th class="remark">Remark</th>
	</tr>
	<%
	int index = 1;
	for (Extract lysate : lysates)
	{
		BioWell well = lysate.getBioWell();
		BioPlate plate = well.getPlate();
		%>
		<tr>
			<td class="name"><%=lysate.getName() %></td>
			<td class="box"><%=plate.getName() %> <%=well.getCoordinate() %></td>
			<td class="qiacube"><%=index %></td>
			<td class="remark"></td>
		</tr>
		<%
		++index;
	}
	%>
	</table>
	
</body>
</html>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>